6.0.0-git
2019-03-24

[#7790] Wrong ReccurenceType is sent by Sync4j.php
Summary Wrong ReccurenceType is sent by Sync4j.php
Queue Synchronization
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester lst_hoe02 (at) kwsoft (dot) de
Created 2008-12-19 (3747 days ago)
Due
Updated 2009-08-20 (3503 days ago)
Assigned 2008-12-22 (3744 days ago)
Resolved 2009-08-18 (3505 days ago)
Milestone
Patch Yes

History
2009-08-20 15:29:00 Jan Schneider Comment #7 Reply to this comment
Added
2009-08-20 10:18:07 lst_hoe02 (at) kwsoft (dot) de Comment #4 Reply to this comment
We should also include the following around line 997 for the YEARLY 
schedule to be correct for SIF-E :



$hash['MonthOfYear'] = date('n', $start);






2009-08-18 16:42:26 Jan Schneider Comment #3
State ⇒ Resolved
Reply to this comment
Committed, thanks.
2008-12-22 03:11:20 Chuck Hagenbuch Assigned to Jan Schneider
State ⇒ Assigned
 
2008-12-19 10:11:44 lst_hoe02 (at) kwsoft (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Wrong ReccurenceType is sent by Sync4j.php
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ Yes
New Attachment: Sync4j.patch Download
Reply to this comment
In Horde 3.3.2 the SyncML Device "Sync4j.php" (Funambol Outlook 
PlugIn) always sent "RecurrenceType=6" if yearly schedules are used 
for events. In Outlook this transforms to "X-th Weekday in Month Y 
every Year" where it should be for example "X-th day in Month Y every 
Year".

Warning : The Patch is more of works for me than the real solution. 
Unfortunately Outlook is not abel to use all scheduling types iCal is 
able to use.

Saved Queries